## com.bbn.openmap.util.propertyEditor
Class MultiDirFilePropertyEditor

    java.lang.Object
      |
      +--java.beans.PropertyEditorSupport
            |
            +--com.bbn.openmap.util.propertyEditor.FilePropertyEditor
                  |
                  +--com.bbn.openmap.util.propertyEditor.MultiDirectoryPropertyEditor
                        |
                        +--com.bbn.openmap.util.propertyEditor.MultiDirFilePropertyEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, java.beans.PropertyEditor

public class MultiDirFilePropertyEditor
extends MultiDirectoryPropertyEditor

A PropertyEditor that brings up a JFileChooser panel to several files and directories. You can enter information in the text field, and pressing the add button will bring up a file chooser. Anything chosen in the file chooser will be appended to what is currently in the text field.

Field Summary

Fields inherited from class com.bbn.openmap.util.propertyEditor.MultiDirectoryPropertyEditor
`pathSeparator, textField`

Fields inherited from class com.bbn.openmap.util.propertyEditor.FilePropertyEditor
`button`

Constructor Summary
`MultiDirFilePropertyEditor()` Create MultiDirFilePropertyEditor.

Method Summary
`javax.swing.JFileChooser` `getFileChooser()` Returns a JFileChooser that will choose a directory.

Methods inherited from class com.bbn.openmap.util.propertyEditor.MultiDirectoryPropertyEditor
`actionPerformed, append, getAsText, getCustomEditor, getPathSeparator, setPathSeparator, setValue`

Methods inherited from class com.bbn.openmap.util.propertyEditor.FilePropertyEditor
`cleanUpName, getLastLocation, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiDirFilePropertyEditor

    public MultiDirFilePropertyEditor()

  Create MultiDirFilePropertyEditor.

Method Detail

### getFileChooser

    public javax.swing.JFileChooser getFileChooser()

  Returns a JFileChooser that will choose a directory. The MultiSelectionEnabled doesn't work yet, so we have to have a workaround.

  Overrides:
    `getFileChooser` in class `MultiDirectoryPropertyEditor`
  Returns:
    JFileChooser

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details